%define fakename        qwtplot3d-qt5

%define major           0.3
%define libname         %mklibname %{fakename}_ %{major}
%define libnamedev      %mklibname %{fakename} -d

%undefine __cmake_in_source_build

%global commit      45df8fbad445dbb71bfc17672ea669e76688946c
%global gittag      %{commit}
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global commitdate  20200509

%define rel 1

Name:           libqwtplot3d-qt5
Version:        0.3.1a
Release:        %mkrel 2.git%{commitdate}.%{rel}
Summary:        Extended version of the original QwtPlot3D library
Group:          System/Libraries
# zlib/libpng is main license
# LGPLv2+ or GL2PS is the license for 'gl2ps/' files
License:        zlib and (LGPLv2+ or GL2PS)
URL:            https://github.com/copasi/copasi-dependencies/tree/master/src/qwtplot3d-qt4
Source0:        https://gitlab.com/anto.trande/qwtplot3d-qt4/-/archive/%{commit}/qwtplot3d-qt4-%{commit}.tar.gz
Patch0:         qwtplot3d-qt5-build.patch
Patch1:         qwtplot3d-libraries.patch

BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
#BuildRequires:  gl2ps-devel
BuildRequires:  gcc-c++
BuildRequires:  zlib-devel
BuildRequires:  cmake

Provides:       bundled(gl2ps) = 1.3.2

%description
QwtPlot3D is not a program, but a feature-rich Qt/OpenGL-based C++
programming library, providing essentially a bunch of 3D-widgets for
programmers.

%package -n     %{libname}
Summary:        3D plotting widget extension to the Qt GUI
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       %{fakename} = %{version}-%{release}

Obsoletes:      %{_lib}qwtplot3d-qt5_0

%description -n %{libname}
QwtPlot3D is a feature-rich Qt/OpenGL-based C++ programming library.
It provides essentially a bunch of 3D-widgets for programmers.

%package -n %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libname} = %{version}-%{release}
Provides:       devel(%{fakename}) = %{version}-%{release}
Provides:       %{fakename}-devel = %{version}-%{release}

%description -n %{libnamedev}
The %{name}-devel package contains qt5 libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n qwtplot3d-qt4-%{commit} -p0

%build
%cmake -Wno-dev \
       -DSELECT_QT=Qt5 \
       -DQT_QMAKE_EXECUTABLE:FILEPATH=%{_bindir}/qmake-qt5 \
       -DQWT_VERSION_STRING:STRING=6.1.3 \
       -DQWT_LIBRARY:FILEPATH=%{_qt5_libdir}/libqwt-qt5.so \
       -DQWT_INCLUDE_DIR:PATH=%{_qt5_headerdir}/qwt \
       -DCMAKE_BUILD_TYPE:STRING=Release \
       -DCMAKE_VERBOSE_MAKEFILE:BOOL=TRUE -DCMAKE_COLOR_MAKEFILE:BOOL=ON \
       -DCMAKE_SHARED_LINKER_FLAGS_RELEASE:STRING="%{__global_ldflags}" \
       -DWITH_ZLIB:BOOL=ON \
       -DCMAKE_INSTALL_LIBDIR:PATH=%{_qt5_libdir} \
       -DCMAKE_INSTALL_INCLUDEDIR:PATH=%{_qt5_headerdir}/%{fakename}
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license COPYING 3rdparty/gl2ps/COPYING.*
%{_qt5_libdir}/libqwtplot3d-qt5.so.%{major}{,.*}

%files -n %{libnamedev}
%{_qt5_headerdir}/%{fakename}/
%{_qt5_libdir}/libqwtplot3d-qt5.so


%changelog
* Mon Jan 04 2021 daviddavid <daviddavid> 0.3.1a-2.git20200509.1.mga8
+ Revision: 1668724
- fix library pkg name
- fix release tag

* Sat Jan 02 2021 joequant <joequant> 0.3.1a-1.20200509git45df8fb.mga8
+ Revision: 1668135
- fix deps
- fix group / need package for scidavis
- imported package libqwtplot3d-qt5

